Closed Bug 992275 Opened 6 years ago Closed 4 years ago

Intermittent browser_dbg_breakpoints-button-01.js | Test timed out

Categories

(DevTools :: Debugger, defect)

x86_64
Linux
defect
Not set

Tracking

(firefox45 fixed, firefox46 fixed)

RESOLVED FIXED
Firefox 46
Tracking Status
firefox45 --- fixed
firefox46 --- fixed

People

(Reporter: emorley, Assigned: jlong)

Details

(Keywords: intermittent-failure)

Attachments

(1 file, 1 obsolete file)

Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-browser-chrome on 2014-04-03 12:47:30 PDT for push b5c7349ece19

slave: talos-r3-fed64-057

https://tbpl.mozilla.org/php/getParsedLog.php?id=37243215&tree=Mozilla-Inbound

{
13:34:27     INFO -  TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_breakpoints-button-01.js | Tab added and finished loading: http://example.com/browser/browser/devtools/debugger/test/doc_script-switching-01.html
13:34:27     INFO -  TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_breakpoints-button-01.js | Debugee tab added successfully: http://example.com/browser/browser/devtools/debugger/test/doc_script-switching-01.html
13:34:27     INFO -  ++DOCSHELL 0xdc51e50 == 111 [pid = 2938] [id = 3795]
13:34:27     INFO -  ++DOMWINDOW == 51 (0xc75a8c0) [pid = 2938] [serial = 10482] [outer = (nil)]
13:34:27     INFO -  ++DOMWINDOW == 52 (0xad9b580) [pid = 2938] [serial = 10483] [outer = 0xc75a8c0]
13:34:27     INFO -  --DOMWINDOW == 51 (0xcd330c0) [pid = 2938] [serial = 10465] [outer = (nil)] [url = data:text/html;charset=utf8,<!DOCTYPE%20html><html%20dir='ltr'>%20%20<head>%20%20%20%20<style>%20%20%20%20%20%20html,%20body%20{%20height:%20100%;%20}%20%20%20%20%20%20body%20{%20margin:%200;%20overflow:%20hidden;%20}%20%20%20%20%20%20.CodeMirror%20{%20width:%20100%;%20height:%20100%%20!important;%20line-height:%20normal!important}%20%20%20%20</style>%20%20%20%20<link%20rel='stylesheet'%20href='chrome://browser/skin/devtools/common.css'>%20%20%20%20<link%20rel='stylesheet'%20href='chrome://browser/content/devtools/codemirror/codemirror.css'>%20%20%20%20<link%20rel='stylesheet'%20href='chrome://browser/content/devtools/codemirror/dialog.css'>%20%20%20%20<link%20rel='stylesheet'%20href='chrome://browser/content/devtools/codemirror/mozilla.css'>%20%20</head>%20%20<body%20class='theme-body%20devtools-monospace'></body></html>]
13:34:27     INFO -  --DOMWINDOW == 50 (0x83f20d0) [pid = 2938] [serial = 10460] [outer = (nil)] [url = chrome://browser/content/devtools/framework/toolbox.xul]
13:34:27     INFO -  --DOMWINDOW == 49 (0xc0b3930) [pid = 2938] [serial = 10463] [outer = (nil)] [url = chrome://browser/content/devtools/debugger.xul]
13:34:27     INFO -  --DOMWINDOW == 48 (0xd2d7bd0) [pid = 2938] [serial = 10471] [outer = (nil)] [url = about:blank]
13:34:27     INFO -  --DOMWINDOW == 47 (0xf43a2b0) [pid = 2938] [serial = 10469] [outer = (nil)] [url = http://example.com/browser/browser/devtools/debugger/test/doc_breakpoints-break-on-last-line-of-script-on-reload.html]
13:34:27     INFO -  ++DOMWINDOW == 48 (0x11fc3770) [pid = 2938] [serial = 10484] [outer = 0xc75a8c0]
13:34:28     INFO -  ++DOCSHELL 0x783cc20 == 112 [pid = 2938] [id = 3796]
13:34:28     INFO -  ++DOMWINDOW == 49 (0xaccfea0) [pid = 2938] [serial = 10485] [outer = (nil)]
13:34:28     INFO -  ++DOMWINDOW == 50 (0xfdff480) [pid = 2938] [serial = 10486] [outer = 0xaccfea0]
13:34:28     INFO -  [Parent 2938] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80520012: file /builds/slave/m-in-l64-d-0000000000000000000/build/netwerk/base/src/nsFileStreams.cpp, line 203
13:34:28     INFO -  [Parent 2938] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80520012: file /builds/slave/m-in-l64-d-0000000000000000000/build/netwerk/base/src/nsFileStreams.cpp, line 475
13:34:28     INFO -  [Parent 2938] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80520012: file /builds/slave/m-in-l64-d-0000000000000000000/build/netwerk/base/src/nsFileStreams.cpp, line 203
13:34:28     INFO -  [Parent 2938] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80520012: file /builds/slave/m-in-l64-d-0000000000000000000/build/netwerk/base/src/nsFileStreams.cpp, line 475
13:34:28     INFO -  TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_breakpoints-button-01.js | Console message: [JavaScript Warning: "Expected color but found 'undefined'.  Error in parsing value for 'background-color'.  Declaration dropped." {file: "about:newtab" line: 0 column: 0 source: "undefined"}]
13:34:28     INFO -  [Parent 2938] WARNING: NS_ENSURE_TRUE(treeItem) failed: file /builds/slave/m-in-l64-d-0000000000000000000/build/layout/base/nsPresShell.cpp, line 6086
13:34:28     INFO -  [Parent 2938] WARNING: NS_ENSURE_TRUE(treeItem) failed: file /builds/slave/m-in-l64-d-0000000000000000000/build/layout/base/nsPresShell.cpp, line 6086
13:34:28     INFO -  [Parent 2938] WARNING: NS_ENSURE_TRUE(treeItem) failed: file /builds/slave/m-in-l64-d-0000000000000000000/build/layout/base/nsPresShell.cpp, line 6086
13:34:28     INFO -  [Parent 2938] WARNING: NS_ENSURE_TRUE(treeItem) failed: file /builds/slave/m-in-l64-d-0000000000000000000/build/layout/base/nsPresShell.cpp, line 6086
13:34:28     INFO -  [Parent 2938] WARNING: NS_ENSURE_TRUE(treeItem) failed: file /builds/slave/m-in-l64-d-0000000000000000000/build/layout/base/nsPresShell.cpp, line 6086
13:34:28     INFO -  [Parent 2938] WARNING: NS_ENSURE_TRUE(treeItem) failed: file /builds/slave/m-in-l64-d-0000000000000000000/build/layout/base/nsPresShell.cpp, line 6086
13:34:28     INFO -  [Parent 2938] WARNING: NS_ENSURE_TRUE(treeItem) failed: file /builds/slave/m-in-l64-d-0000000000000000000/build/layout/base/nsPresShell.cpp, line 6086
13:34:28     INFO -  [Parent 2938] WARNING: Please do not use mouseenter/leave events in chrome. They are slower than mouseover/out!: '!nsContentUtils::IsChromeDoc(d)', file /builds/slave/m-in-l64-d-0000000000000000000/build/dom/events/EventListenerManager.cpp, line 363
13:34:28     INFO -  ++DOCSHELL 0x97183a0 == 113 [pid = 2938] [id = 3797]
13:34:28     INFO -  ++DOMWINDOW == 51 (0x39304e0) [pid = 2938] [serial = 10487] [outer = (nil)]
13:34:28     INFO -  ++DOMWINDOW == 52 (0x118ff820) [pid = 2938] [serial = 10488] [outer = 0x39304e0]
13:34:30     INFO -  --DOCSHELL 0xd486ae0 == 112 [pid = 2938] [id = 3790]
13:34:30     INFO -  TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_breakpoints-button-01.js | Debugger panel shown successfully.
13:36:32     INFO -  --DOMWINDOW == 51 (0x95e0860) [pid = 2938] [serial = 10466] [outer = (nil)] [url = data:text/html;charset=utf8,<!DOCTYPE%20html><html%20dir='ltr'>%20%20<head>%20%20%20%20<style>%20%20%20%20%20%20html,%20body%20{%20height:%20100%;%20}%20%20%20%20%20%20body%20{%20margin:%200;%20overflow:%20hidden;%20}%20%20%20%20%20%20.CodeMirror%20{%20width:%20100%;%20height:%20100%%20!important;%20line-height:%20normal!important}%20%20%20%20</style>%20%20%20%20<link%20rel='stylesheet'%20href='chrome://browser/skin/devtools/common.css'>%20%20%20%20<link%20rel='stylesheet'%20href='chrome://browser/content/devtools/codemirror/codemirror.css'>%20%20%20%20<link%20rel='stylesheet'%20href='chrome://browser/content/devtools/codemirror/dialog.css'>%20%20%20%20<link%20rel='stylesheet'%20href='chrome://browser/content/devtools/codemirror/mozilla.css'>%20%20</head>%20%20<body%20class='theme-body%20devtools-monospace'></body></html>]
13:36:32     INFO -  --DOMWINDOW == 50 (0xfacde50) [pid = 2938] [serial = 10462] [outer = (nil)] [url = chrome://browser/content/devtools/framework/toolbox.xul]
13:36:32     INFO -  --DOMWINDOW == 49 (0x11e0f490) [pid = 2938] [serial = 10464] [outer = (nil)] [url = about:blank]
13:36:43     INFO -  TEST-INFO | screentopng: exit 0
13:36:43  WARNING -  TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_breakpoints-button-01.js | Test timed out
13:36:43     INFO -  TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_breakpoints-button-01.js | finish() was called, cleaning up...
13:36:44     INFO -  JavaScript strict warning: resource://gre/modules/commonjs/toolkit/loader.js -> resource://gre/modules/devtools/server/main.js -> resource://gre/modules/devtools/server/actors/script.js, line 726: reference to undefined property this._threadLifetimePool
13:36:44     INFO -  --DOCSHELL 0x97183a0 == 111 [pid = 2938] [id = 3797]
13:36:44     INFO -  --DOCSHELL 0x783cc20 == 110 [pid = 2938] [id = 3796]
13:36:44     INFO -  TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_breakpoints-button-01.js | Forcing GC after debugger test.
}
Intermittent failure not seen for >3 months; filter on mass-intermittent-wfm-20140812.
Status: NEW → RESOLVED
Closed: 5 years ago
Resolution: --- → WORKSFORME
Status: RESOLVED → REOPENED
Resolution: WORKSFORME → ---
James, who could look into this?  It's currently on the list of top 30 intermittents.
Flags: needinfo?(jlong)
I can look at it, but if I don't get to it today I'm off for the next week and a half. Does anyone have a link to a more recent failure?
Flags: needinfo?(jlong)
Orange Factor does, the bottom of the page in https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=992275 will always have (minus a little lag) the most recent failure.
(In reply to James Long (:jlongster) from comment #9)
> I can look at it, but if I don't get to it today I'm off for the next week
> and a half.

Great, I'll tentatively assign it to you.

> Does anyone have a link to a more recent failure?

The OrangeFactor comments above link to a list of weekly failures, which include log and TreeHerder links.  Here are some recent results up to today:

https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=992275&startday=2015-12-14&endday=2015-12-23&tree=all
Assignee: nobody → jlong
Thanks. This is an easy fix; there's a pattern that tests use that is known to be racy. I've updated most of them but I must have missed this one.
Attached patch 992275.patch (obsolete) — Splinter Review
Small tweak, basically we have horribly confusing thread state names. "resumed" and "attached" mean the same thing, but "resumed" is emitted when the thread resumed but the actual `gThreadClient.state` property is "attached". `waitForThreadEvents` checks the `state` property but also waits for events...

So if the thread has already resumed by the time this check happens, it will check `"resumed" === "attached"` which is false and wait for the resumed event which has already happened.

Simple fix is just to check if the state is already "attached".

We have a bug on file to fix these confusing names.
Attachment #8701513 - Flags: review?(jryans)
Comment on attachment 8701513 [details] [diff] [review]
992275.patch

Review of attachment 8701513 [details] [diff] [review]:
-----------------------------------------------------------------

It does sounds confusing, but works for me for now.

::: devtools/client/debugger/test/mochitest/browser_dbg_breakpoints-button-01.js
@@ +41,5 @@
>        gSources.toggleBreakpoints();
>        yield waitForDispatch(gPanel, gDebugger.constants.ADD_BREAKPOINT, 3);
>        checkBreakpointsDisabled(false);
>  
> +      if(gDebugger.gThreadClient.state !== "attached") {

Nit: if (
Attachment #8701513 - Flags: review?(jryans) → review+
Attached patch 992275.patchSplinter Review
updated
Attachment #8701513 - Attachment is obsolete: true
https://hg.mozilla.org/mozilla-central/rev/ffac5f6b750d
Status: REOPENED → RESOLVED
Closed: 5 years ago4 years ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 46
Product: Firefox → DevTools
You need to log in before you can comment on or make changes to this bug.